<?php 

class controller_component_questions extends component {

	function action_index() {

		$this->page['title'] = 'Вопросы и ответы';

		$this->page['keywords'] = 'Вопросы, ответы, вопрос на `засыпку`';

		$this->page['description'] = 'Задайте вопрос на любую тему и получите ответ';

		$this->page['head'] = $this->add_css_file(SITE_URL . '/modules/components/questions/front_end/views/style.css');

		$this->data['add'] = $this->component_info['url'] . '/add_question';

		$this->data['modul_name'] = $this->component_info['name'];

		$this->data['modul_url'] = $this->component_info['url'];

		$this->data['post_on_page'] = 4;

		$this->data['page'] = (isset($_GET['page'])) ? (int)$_GET['page'] : 1;

		$posts = $this->model->get_count(); 
 
		$this->data['pages_count'] = intval(($posts - 1) / $this->data['post_on_page'] + 1);

		$this->data['questions'] = $this->model->get_all($this->data['page'], $this->data['post_on_page']);		

		$this->page['html'] = $this->load_view();

		return $this->page;					
	}

	function action_add_question() {

		$this->page['title'] = 'Вопросы и ответы';

		$this->page['keywords'] = 'Вопросы, ответы, вопрос на `засыпку`';

		$this->page['description'] = 'Задайте вопрос на любую тему и получите ответ';

		$this->data['text'] = (isset($_POST['text'])) ? $_POST['text'] : '';

		$this->page['head'] = $this->add_css_file(SITE_URL . '/modules/components/'  . 'questions/front_end/views/style.css');

		$this->data['captcha'] = $this->model->generate_captcha();

		if (isset($_POST['submit']) and !empty($_POST['text']) and $_POST['captcha'] == $_SESSION['res']) {

        	$question = $_POST['text'];

			$answer = '';

			$this->model->into_question($question, $answer);			
			
			$this->data['alert'] = 1;

			$this->data['text'] = '';

			$this->page['html'] = $this->load_view('add_question');
		}

		else if (isset($_POST['submit']) and (empty($_POST['text']) || $_POST['captcha'] != $_SESSION['res'])) {

			$this->data['alert'] = 0;

			$this->page['html'] = $this->load_view('add_question');
		}

		else { 

			$this->page['html'] = $this->load_view('add_question');
		}	
		
		return $this->page;				
	}
} 

?>
						 